/**==========================================================================
Hochschule Luzern - Technik & Architektur            Mikrocontroller - HS2012
Copyright 2012 Felix Rohrer                              http://hslu.ximit.ch
-----------------------------------------------------------------------------
Name        : Uebung_1-1.c
Author      : Felix Rohrer <felix.rohrer@stud.hslu.ch>
Version     : 2012-09-22v1.0
Description : Uebung_1-1
              Entwurf bung mit Funktionen und for - Schleife
===========================================================================*/

#include <stdio.h>
#include <stdlib.h>

/**
* Draw "Raute" based on the Parameters
* Example: drawRaute(3, 5)
* #####
* #####
* #####
* @param zeile Anzahl Zeilen
* @param spalte Anzahl Spalten
*/
void drawRaute(int zeile, int spalte);

/**
* Print out all Numbers from 0..value, ex, printNumbers(4): 0 01, 012, 0123, 01234
* @param value Wert > 0 bis wohin gezhlt werden soll
*/
void printNumbers(int value);

/**
* Draw a triangle with *'s
* @param size Grsser des Dreiecks
*/
void drawTriangle(int size);

/**
 * The main procedure to run the application.
 * @param argc Number of command line arguments
 * @param argv The forwarded command line arguments
 * @return Application return (error) code
 */
int main(int argc, char** argv)
{
  printf("drawRaute(3, 5)...\n");
  drawRaute(3, 5);

  printf("drawRaute(2, 2)...\n");
  drawRaute(2, 2);

  printf("printNumbers(10)...\n");
  printNumbers(10);

  printf("drawTriangle(6)...\n");
  drawTriangle(6);


	printf("\n\nPress [Enter] to exit...");
	getchar();
	return(EXIT_SUCCESS);
}



void drawRaute(int zeile, int spalte)
{
	int lineCount, rowCount;
	for (lineCount = 0; lineCount < zeile; lineCount++)
	{
		for (rowCount = 0; rowCount < spalte; rowCount++)
		{
			printf("#");
		}
		printf("\n");
	}
	printf("\n");
}

void printNumbers(int value)
{
	int count, currCount;
	for (count = 0; count <= value; count++)
	{
		for (currCount = 0;currCount<count;currCount++)
		{
			printf("%i", currCount);
		}
		printf("\n");
	}
	printf("\n");
}

void drawTriangle(int size)
{
	int i, j;
	for (i=size; i>=0; i--)
	{
		for (j=i; j>0; j--)
		{
			printf(" ");
		}
		for(j=i; j<size; j++)
		{
			printf("*");
		}
		for(j=i; j<=size; j++)
		{
			printf("*");
		}
	printf("\n");
	}
}