/**==========================================================================
Hochschule Luzern - Technik & Architektur            Mikrocontroller - HS2012
Copyright 2012 Felix Rohrer                              http://hslu.ximit.ch
-----------------------------------------------------------------------------
Name        : Uebung_1-2.c
Author      : Felix Rohrer <felix.rohrer@stud.hslu.ch>
Version     : 2012-09-22v1.0
Description : Uebung_1-2
              Entwurf bung mit Funktionen und while Schlaufe
===========================================================================*/

#include <stdio.h>
#include <stdlib.h>

/**
* Increment of an Integer between start and end
* @param start Start Value to increment
* @param end Limit Value
*/
void increment(int start, int end);

/**
* Decrement of an Integer between start and end
* @param start Start Value to decrement
* @param end Limit Value
*/
void decrement(int start, int end);


/**
 * The main procedure to run the application.
 * @param argc Number of command line arguments
 * @param argv The forwarded command line arguments
 * @return Application return (error) code
 */
int main(int argc, char** argv)
{
	printf("increment(0, 5)...\n");
	increment(0, 5);

	printf("decrement(10, -3)...\n");
	decrement(10, -3);

	printf("\n\nPress [Enter] to exit...");
	getchar();
	return(EXIT_SUCCESS);
}

void increment(int start, int end)
{
	while(start <= end)
	{
		printf("%d,", start);
		start++;
	}
	printf("\b \n\n"); // "\b  " = Backspace & "Space" => remove last ","
}

void decrement(int start, int end)
{
	while(start >= end)
	{
		printf("%d,", start);
		start--;
	}
	printf("\b \n\n"); // "\b  " = Backspace & "Space" => remove last ","
}
