/**==========================================================================
Hochschule Luzern - Technik & Architektur            Mikrocontroller - HS2012
Copyright 2012 Felix Rohrer                              http://hslu.ximit.ch
-----------------------------------------------------------------------------
Name        : Uebung_1-4.c
Author      : Felix Rohrer <felix.rohrer@stud.hslu.ch>
Version     : 2012-09-22v1.0
Description : Uebung_1-4
              Schreiben Sie das Gerst zu einer textbasierten Menusteuerung.
===========================================================================*/

#include <stdio.h>
#include <stdlib.h>
#include <ctype.h>


/**
* Show Main Menu
*/
void showMenuMain();

/**
* Show SubMenu A, A-A, A-B, A-C
*/
void showMenuSubA();
void showMenuSubA_A();
void showMenuSubA_B();
void showMenuSubA_C();

/**
* Show SubMenu B
*/
void showMenuSubB();

/**
* Show SubMenu C
*/
void showMenuSubC();

/**
 * The main procedure to run the application.
 * @param argc Number of command line arguments
 * @param argv The forwarded command line arguments
 * @return Application return (error) code
 */
int main(int argc, char** argv)
{

	// Show MainMenu
	showMenuMain();


	//printf("\n\nPress [Enter] to exit...");
	//getchar();
	return(EXIT_SUCCESS);
}

void showMenuMain()
{
	char input;

	do {
		// Show MainMenu
		system("cls");
		printf("MainMenu\n----------------------------------------------------\n");
		printf("A --> Select menu item A\n");
		printf("B --> Select menu item B\n");
		printf("C --> Select menu item C\n");
		printf("Q --> Exit\n");
		
		// get input
		printf("Enter selection: ");
		while (!isalpha(input = toupper(getchar())));
		fflush(stdin); //flushes the input stream and gets rid of '\n'

		// Select SubMenu (or Exit)
		switch(input) {
		case 'A':
			system("cls");
			showMenuSubA();
			break;
		case 'B':
			system("cls");
			showMenuSubB();
			break;
		case 'C':
			system("cls");
			showMenuSubC();
			break;
		case 'Q':
			break;
		}
	} while (input != 'Q');
}

void showMenuSubA()
{
	char input;
	
	do {
		// Show SubMenu
		system("cls");
		printf("SubMenu A\n----------------------------------------------------\n");
		printf("A --> Select submenu item A-A\n");
		printf("B --> Select submenu item A-B\n");
		printf("C --> Select submenu item A-C\n");
		printf("Q --> Back to MainMenu\n");

		// get input
		printf("Enter selection: ");
		while (!isalpha(input = toupper(getchar())));
		fflush(stdin); //flushes the input stream and gets rid of '\n'

		// Select SubMenu (or Exit)
		switch(input) {
		case 'A':
			showMenuSubA_A();
			break;
		case 'B':
			showMenuSubA_B();
			break;
		case 'C':
			showMenuSubA_C();
			break;
		case 'Q':
			break;
		}
	} while (input != 'Q');
}

void showMenuSubA_A()
{
	char input;
	
	system("cls");
	printf("SubMenu A-A\n----------------------------------------------------\n");
	printf("Q --> Back to SubMenu A\n");
	do { // get input
		printf("Enter selection: ");
		while (!isalpha(input = toupper(getchar())));
		fflush(stdin); //flushes the input stream and gets rid of '\n'
	} while (input != 'Q');
}

void showMenuSubA_B()
{
	char input;
	
	system("cls");
	printf("SubMenu A-B\n----------------------------------------------------\n");
	printf("Q --> Back to SubMenu A\n");
	do { // get input
		printf("Enter selection: ");
		while (!isalpha(input = toupper(getchar())));
		fflush(stdin); //flushes the input stream and gets rid of '\n'
	} while (input != 'Q');
}

void showMenuSubA_C()
{
	char input;
	
	system("cls");
	printf("SubMenu A-C\n----------------------------------------------------\n");
	printf("Q --> Back to SubMenu A\n");
	do { // get input
		printf("Enter selection: ");
		while (!isalpha(input = toupper(getchar())));
		fflush(stdin); //flushes the input stream and gets rid of '\n'
	} while (input != 'Q');
}


void showMenuSubB()
{
	char input;
	
	system("cls");
	printf("SubMenu B\n----------------------------------------------------\n");
	printf("Q --> Back to MainMenu\n");
	do { // get input
		printf("Enter selection: ");
		while (!isalpha(input = toupper(getchar())));
		fflush(stdin); //flushes the input stream and gets rid of '\n'
	} while (input != 'Q');
}

void showMenuSubC()
{
	char input;
	
	system("cls");
	printf("SubMenu C\n----------------------------------------------------\n");
	printf("Q --> Back to MainMenu\n");
	do { // get input
		printf("Enter selection: ");
		while (!isalpha(input = toupper(getchar())));
		fflush(stdin); //flushes the input stream and gets rid of '\n'
	} while (input != 'Q');
}
